import { Component } from '../../view/functional/AbstractComponent';
export interface TagDefinition {
    inserted?: (component: Component) => void;
    removed?: (component: Component) => void;
    template?: HTMLTemplateElement;
    tagName: string;
    tagFunction: () => Component;
    parameters?: any;
    templateUrl?: string;
}
export declare const register: (tagDef: TagDefinition, mode?: ShadowRootMode) => Promise<void>;
export declare const getComponents: (tagName: string, parent?: HTMLElement) => Component[];
